pidgin: gtkconv.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs | Enumerations | Functions
gtkconv.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Conversation API. More...

`#include "pidgin.h"`
`#include "conversation.h"`
`#include "gtkconvwin.h"`

Go to the source code of this file.

## Data Structures
struct | _PidginImPane
| A GTK+ representation of a graphical window containing one or more conversations. More...
struct | _PidginChatPane
| GTK+ Chat panes. More...
struct | _PidginConversation
| A GTK+ conversation pane. More...

## Macros
#define | PIDGIN_CONVERSATION(conv) ((PidginConversation *)(conv)->ui_data)
#define | PIDGIN_IS_PIDGIN_CONVERSATION(conv)

## Typedefs
typedef struct _PidginImPane | PidginImPane
typedef struct _PidginChatPane | PidginChatPane
typedef struct _PidginConversation | PidginConversation

## Enumerations
enum | PidginUnseenState { PIDGIN_UNSEEN_NONE , PIDGIN_UNSEEN_EVENT , PIDGIN_UNSEEN_NO_LOG , PIDGIN_UNSEEN_TEXT , PIDGIN_UNSEEN_NICK }
| Unseen text states. More...
enum | { CHAT_USERS_ICON_COLUMN , CHAT_USERS_ALIAS_COLUMN , CHAT_USERS_ALIAS_KEY_COLUMN , CHAT_USERS_NAME_COLUMN , CHAT_USERS_FLAGS_COLUMN , CHAT_USERS_COLOR_COLUMN , CHAT_USERS_WEIGHT_COLUMN , CHAT_USERS_ICON_STOCK_COLUMN , CHAT_USERS_COLUMNS }

## Functions
PurpleConversationUiOps * | pidgin_conversations_get_conv_ui_ops (void)
| Returns the UI operations structure for GTK+ conversations.
void | pidgin_conv_update_buddy_icon (PurpleConversation *conv)
| Updates the buddy icon on a conversation.
void | pidgin_conv_switch_active_conversation (PurpleConversation *conv)
| Sets the active conversation within a GTK-conversation.
void | pidgin_conv_update_buttons_by_protocol (PurpleConversation *conv)
| Updates conversation buttons by protocol.
GList * | pidgin_conversations_find_unseen_list (PurpleConversationType type, PidginUnseenState min_state, gboolean hidden_only, guint max_count)
| Returns a list of conversations of the given type which have an unseen state greater than or equal to the specified minimum state.
guint | pidgin_conversations_fill_menu (GtkWidget *menu, GList *convs)
| Fill a menu with a list of conversations.
void | pidgin_conv_present_conversation (PurpleConversation *conv)
| Presents a purple conversation to the user.
gboolean | pidgin_conv_attach_to_conversation (PurpleConversation *conv)
| Reattach Pidgin UI to a conversation.
PidginWindow * | pidgin_conv_get_window (PidginConversation *gtkconv)
GdkPixbuf * | pidgin_conv_get_tab_icon (PurpleConversation *conv, gboolean small_icon)
void | pidgin_conv_new (PurpleConversation *conv)
int | pidgin_conv_get_tab_at_xy (PidginWindow *win, int x, int y, gboolean *to_right)
gboolean | pidgin_conv_is_hidden (PidginConversation *gtkconv)
GTK+ Conversations Subsystem <br>
void * | pidgin_conversations_get_handle (void)
| Returns the gtk conversations subsystem handle.
void | pidgin_conversations_init (void)
| Initializes the GTK+ conversations subsystem.
void | pidgin_conversations_uninit (void)
| Uninitialized the GTK+ conversation subsystem.

## Detailed Description

GTK+ Conversation API.

See also
  GtkConv Signals

Definition in file gtkconv.h.

## Macro Definition Documentation

## ◆ PIDGIN_CONVERSATION

#define PIDGIN_CONVERSATION | ( |  | conv | ) | ((PidginConversation *)(conv)->ui_data)

Definition at line 58 of file gtkconv.h.

## ◆ PIDGIN_IS_PIDGIN_CONVERSATION

#define PIDGIN_IS_PIDGIN_CONVERSATION | ( |  | conv | ) |

Value:
(purple_conversation_get_ui_ops(conv) == \
pidgin_conversations_get_conv_ui_ops())
purple_conversation_get_ui_ops
PurpleConversationUiOps * purple_conversation_get_ui_ops(const PurpleConversation *conv)
Returns the specified conversation's UI operations structure.

Definition at line 61 of file gtkconv.h.

## Typedef Documentation

## ◆ PidginChatPane

typedef struct _PidginChatPane PidginChatPane

Definition at line 31 of file gtkconv.h.

## ◆ PidginConversation

typedef struct _PidginConversation PidginConversation

Definition at line 32 of file gtkconv.h.

## ◆ PidginImPane

typedef struct _PidginImPane PidginImPane

Definition at line 30 of file gtkconv.h.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
CHAT_USERS_COLUMNS | Since 2.6.0

Definition at line 46 of file gtkconv.h.

## ◆ PidginUnseenState

enum PidginUnseenState

Unseen text states.

Enumerator
PIDGIN_UNSEEN_NONE | No unseen text in the conversation.
PIDGIN_UNSEEN_EVENT | Unseen events in the conversation.
PIDGIN_UNSEEN_NO_LOG | Unseen text with NO_LOG flag.
PIDGIN_UNSEEN_TEXT | Unseen text in the conversation.
PIDGIN_UNSEEN_NICK | Unseen text and the nick was said.

Definition at line 37 of file gtkconv.h.

## Function Documentation

## ◆ pidgin_conv_attach_to_conversation()

gboolean pidgin_conv_attach_to_conversation | ( | PurpleConversation * | conv | ) |

Reattach Pidgin UI to a conversation.

Parameters

  conv | The conversation.

Returns
  Wheter Pidgin UI was successfully attached.

Since
  2.2.0

## ◆ pidgin_conv_present_conversation()

void pidgin_conv_present_conversation | ( | PurpleConversation * | conv | ) |

Presents a purple conversation to the user.

Parameters

  conv | The conversation.

## ◆ pidgin_conv_switch_active_conversation()

void pidgin_conv_switch_active_conversation | ( | PurpleConversation * | conv | ) |

Sets the active conversation within a GTK-conversation.

Parameters

  conv | The conversation

## ◆ pidgin_conv_update_buddy_icon()

void pidgin_conv_update_buddy_icon | ( | PurpleConversation * | conv | ) |

Updates the buddy icon on a conversation.

Parameters

  conv | The conversation.

## ◆ pidgin_conv_update_buttons_by_protocol()

void pidgin_conv_update_buttons_by_protocol | ( | PurpleConversation * | conv | ) |

Updates conversation buttons by protocol.

Parameters

  conv | The conversation.

## ◆ pidgin_conversations_fill_menu()

guint pidgin_conversations_fill_menu | ( | GtkWidget * | menu,
|  | GList * | convs
| ) |  |

Fill a menu with a list of conversations.

Clicking the conversation menu item will present that conversation to the user.

Parameters

  menu | Menu widget to add items to.
  convs | List of PurpleConversation to add to menu.

Returns
  Number of conversations added to menu.

## ◆ pidgin_conversations_find_unseen_list()

GList * pidgin_conversations_find_unseen_list | ( | PurpleConversationType | type,
|  | PidginUnseenState | min_state,
|  | gboolean | hidden_only,
|  | guint | max_count
| ) |  |

Returns a list of conversations of the given type which have an unseen state greater than or equal to the specified minimum state.

Using the hidden_only parameter, this search can be limited to hidden conversations. The max_count parameter will limit the total number of converations returned if greater than zero. The returned list should be freed by the caller.

Parameters

  type | The type of conversation.
  min_state | The minimum unseen state.
  hidden_only | If TRUE, only consider hidden conversations.
  max_count | Maximum number of conversations to return, or 0 for no maximum.

Returns
  List of PurpleConversation matching criteria, or NULL.

## ◆ pidgin_conversations_get_conv_ui_ops()

PurpleConversationUiOps * pidgin_conversations_get_conv_ui_ops | ( | void |  | ) |

Returns the UI operations structure for GTK+ conversations.

Returns
  The GTK+ conversation operations structure.

## ◆ pidgin_conversations_get_handle()

void * pidgin_conversations_get_handle | ( | void |  | ) |

Returns the gtk conversations subsystem handle.

Returns
  The conversations subsystem handle.